Name:           gnubik
Version:        2.3
Release:        8%{?dist}
Summary:        3D interactive graphics puzzle

Group:          Amusements/Games
License:        GPLv3+
URL:            http://www.gnu.org/software/gnubik/
Source0:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  libX11-devel guile-devel libGL-devel libGLU-devel gtk2-devel gtkglext-devel
BuildRequires:  gettext desktop-file-utils texinfo
Requires:       hicolor-icon-theme
Requires(post): info
Requires(preun): info

%description
GNUbik is a GNU package.  It is a 3D interactive graphics puzzle. It renders
an image of a magic cube (similar to a rubik cube) and you attempt to solve it.


%prep
%setup -q
chmod -x src/{quarternion,txfm}.{c,h}
# Remove pregenerated binaries and let them be gerenerated
rm po/*.gmo po/stamp-po
rm doc/%{name}.info


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man6
install -p -m 644 doc/%{name}.6 $RPM_BUILD_ROOT%{_mandir}/man6

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 src/%{name}.xpm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
%{_datadir}/%{name}
%{_infodir}/%{name}.info.gz
%{_mandir}/man*/%{name}*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 21 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-6
- Put icon in right location

* Fri Mar 13 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-5
- Fixed rebuilding .info

* Wed Mar 11 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-4
- Replaced mesa- requires with generic ones
- Removing pregenerated *.gmo in prep
- Rebuilding .info

* Wed Mar 11 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-3
- Put icon into hicolor theme
- Add correct scriptlets and requires
- Add GenericName to desktop file

* Wed Mar 11 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-2
- Don't using install -D that doesn't want to work in mock
- Fix incorrect usage of GenericName in desktop file

* Mon Mar 02 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-1
- Initial package
